%global alphatag alpha16
Summary: An X Window System based tool for creating CDs
Name: xcdroast
Version: 0.98
Release: 0.5.%{?alphatag}%{?dist}
Epoch: 1
License: LGPLv2+ and GPLv2
Group: Applications/Multimedia
URL: http://www.xcdroast.org/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}%{alphatag}.tar.gz
Source1: xcdroast.desktop
Patch1: xcdroast-0.98alpha15-linebuffer.patch
Patch2: xcdroast-0.98alpha15-nowarn.patch
Patch3: xcdroast-0.98alpha15-scan.patch
Patch4: xcdroast-0.98alpha15-13_cdrecord_to_wodim.patch
Patch5: xcdroast-0.98alpha15-14_atapi_to_oldatapi.patch
Patch6: xcdroast-0.98alpha15-15_no_readcd_version.patch
Patch7: xcdroast-0.98alpha15-prodvd.patch
Patch8: xcdroast-0.98alpha15-nogtk1.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: cdrecord >= 2.0
Requires: mkisofs >= 2.0
Requires(hint): cdda2wav >= 2.0
BuildRequires: gtk2-devel >= 2.0.6
BuildRequires: desktop-file-utils >= 0.2.92

%description
X-CD-Roast provides a GUI interface for commands like cdrecord and
mkisofs. X-CD-Roast includes a self-explanatory X11 user interface,
automatic SCSI and IDE hardware setup, support for mastering of new
ISO9660 data CDs, support for production of new audio CDs, fast
copying of CDs without hard disk buffering, and a logfile option.

%package doc
Summary: Manual for xcdroast
Group: Documentation

%description doc
This package contains the manual for xcdroast

%prep
%setup -q -n %{name}-%{version}%{alphatag}
%patch1 -p1 -b .linebuffer
%patch2 -p1 -b .nowarn
%patch3 -p1 -b .scan
%patch4 -p1 -b .p23
%patch5 -p0 -b .p24
%patch6 -p1 -b .p25
%patch7 -p1 -b .cdrkit
%patch8 -p1 -b .nogtk1

# Fix char sets
for file in doc/TRANSLATION.HOWTO ChangeLog; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%build
%configure --enable-gtk2 --disable-nonrootmode \
  --with-xcdroast-libdir-prefix=%{_libdir}/%{name}
make %{?_smp_mflags}

# Change desktop file to the current libdir
sed 's|/usr/lib|%{_libdir}|' %{SOURCE1} > %{name}.desktop


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/{X11/applnk/Multimedia,pam.d,security/console.apps},usr/sbin}
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor xcdroast \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  --add-category X-Red-Hat-Base                        \
  --add-category System                                \
  --add-category DiscBurning                           \
  %{name}.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README doc/DOCUMENTATION doc/FAQ doc/README* doc/TRANSLATION.HOWTO 
%{_mandir}/man1/xcdroast.1.*
%{_bindir}/xcdroast
%{_libdir}/xcdroast/
%{_datadir}/applications/%{name}.desktop

%files doc
%doc doc/manual/*

%changelog
* Tue Mar 23 2010 Roman Rakus <rrakus@redhat.com> - 1:0.98-0.5.alpha16
- Corrected Source0 URL

* Fri Mar 19 2010 Roman Rakus <rrakus@redhat.com> - 1:0.98-0.4.alpha16
- Fixes for Merge review #226550

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.98-0.3.alpha16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.98-0.2.alpha16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 09 2009 Roman Rakus <rrakus@redhat.com> - 0.98-0.1.alpha16
- New version 0.98alpha16
- some spec file fixes
  Resolves: #226550

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.98a15-17
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Harald Hoyer <harald@redhat.com> - 0.98a15-16
- changed license tag

* Mon Aug 13 2007 Harald Hoyer <harald@redhat.com> - 0.98a15-15
- more cdrkit compat patches
- changed desktop category
- changed build root path
- added mode to open(2) in io.c

* Wed Jun 20 2007 Harald Hoyer <harald@redhat.com> - 0.98a15-13.1
- added cdrkit compat patches

* Thu Mar 15 2007 Karsten Hopp <karsten@redhat.com> 0.98a15-13
- rebuild with current gtk2 to add png support (#232013)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.98a15-12.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.98a15-12.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.98a15-12.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Apr 21 2005 Harald Hoyer <harald@redhat.com> - 0.98a15-12
- removed gtk1 build requirement

* Mon Apr 18 2005 Harald Hoyer <harald@redhat.com> - 0.98a15-11
- fixed frozen progress bars with patch from Didier Heyden (bug #134334)

* Thu Mar 03 2005 Harald Hoyer <harald@redhat.com> 
- rebuilt

* Wed Feb 09 2005 Harald Hoyer <harald@redhat.com>
- rebuilt

* Mon Sep 20 2004 Harald Hoyer <harald@redhat.com> - 0.98a15-7
- only add /dev/cdrom*
- enable prodvd mode for our cdrecord

* Fri Sep 10 2004 Harald Hoyer <harald@redhat.com> - 0.98a15-6
- improved scanning and removed warnings

* Sun Aug 29 2004 Tim Waugh <twaugh@redhat.com> - 0.98a15-5
- Actually apply the patch.

* Tue Jul 13 2004 Harald Hoyer <harald@redhat.com> - 0.98a15-4
- added xcdroast-0.98alpha15-linebuffer.patch (Tim Waugh, bz 127658)
- corrected buildrequires (bz 127300)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Harald Hoyer <harald@redhat.com> - 0.98a15-2
- 64bit patch added
- configure patch removing pcre req added

* Tue Feb 24 2004 Harald Hoyer <harald@redhat.com> - 0.98a15-1
- version 0.98alpha15

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Oct 13 2003 Harald Hoyer <harald@redhat.de> 0.98a14-2
- added patches from xcdroast.org to work again 
  with the cdrtools-2.01a17 or newer.

* Tue Sep 01 2003 Harald Hoyer <harald@redhat.com> 0.98a14-1
- new version

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 07 2003 Harald Hoyer <harald@redhat.com> 0.98a13-2
- removed the old patches
- point the .desktop to an icon

* Tue Jan 07 2003 Harald Hoyer <harald@redhat.com> 0.98a13-2
- --disable-nonrootmode

* Tue Jan 07 2003 Harald Hoyer <harald@redhat.com> 0.98a13-1
- bump version

* Tue Nov 12 2002 Nalin Dahyabhai <nalin@redhat.com> 0.98a9-21
- Remove absolute paths from PAM configuration, ensuring that the right set
  of modules gets used regardless of arch on multilib systems.

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-20
- Fix POSIX locale patch (bug #76341).

* Sun Oct 20 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-19
- Use POSIX locale for df (bug #76341).

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com> 0.98a9-18
- rebuild with new imlib soname

* Tue Aug 13 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-17
- Another go at fixing bug #70280.

* Mon Aug  5 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-16
- Convert translation files to UTF-8 (bug #70280).

* Fri Jul 26 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-15
- Use pam_timestamp.so (bug #69884).

* Tue Jul 23 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-14
- Desktop file fixes (bug #69537).

* Mon Jul 15 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-13
- Use desktop-file-install.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.98a9-12
- automated rebuild

* Thu Jun 20 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-11
- Set SESSION=true in the console.apps file (bug #62369).

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.98a9-10
- automated rebuild

* Thu Apr 25 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-9
- Don't explicitly strip binaries (bug #62571).

* Mon Apr 15 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-8
- Chicken out of change to fix bug #56844.  Better solution needed.

* Wed Mar 20 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-7
- Better desktop file comment (bug #61427).

* Tue Feb 26 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-6
- Rebuild in new environment.

* Thu Jan 24 2002 Karsten Hopp <karsten@redhat.de>
- Fix Requires:

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov 29 2001 Tim Waugh <twaugh@redhat.com> 0.98a9-3
- Fix console.apps file (bug #56844).

* Mon Jul 30 2001 Tim Waugh <twaugh@redhat.com> 0.98a9-2
- Put .desktop file in Multimedia, not Applications (bug #50290).

* Mon Jul 23 2001 Karsten Hopp <karsten@redhat.de> 0.98a9-1
- 0.98a9
- give hint how to setup nonroot-mode (we don't ship the sgid binaries)

* Wed Jul 19 2001 Karsten Hopp <karsten@redhat.de>
- remove workaround for older GTK

* Wed Jul  4 2001 Tim Waugh <twaugh@redhat.com> 0.98a8-5
- Change Copyright: to License:.
- Change version check for cdrecord to accept 1.10 instead of 1.9.
- ... and require newer cdrecord.

* Tue Jun 19 2001 Karsten Hopp <karsten@redhat.de>
- add ExcludeArch: s390 s390x 
- add BuildRequires

* Tue May 22 2001 Karsten Hopp <karsten@redhat.de>
- fix #41802, needs some testing if cdrecord 1.10
  is compatible with 1.9

* Tue Feb 27 2001 Karsten Hopp <karsten@redhat.de>
- symlink should be relative
- fix strip

* Mon Feb 12 2001 Karsten Hopp <karsten@redhat.de>
- update to alpha8 (security bug in alpha7)
- use consolehelper
- fix bugzilla #26870

* Fri Dec 01 2000 Karsten Hopp <karsten@redhat.de>
- rebuild to fix /usr/share/doc permissions 

* Mon Nov 13 2000 Karsten Hopp <karsten@redhat.de>
- update to 0.98alpha7, which has a new menu to configure non-root mode
- added README.nonroot, README.atapi to documentation

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix interoperability with mkisofs 1.13

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current, this fixes the "crashes on startup" bug (#16055)
  (and the maintainer confirms the "alpha" is more stable than the lastest
  "release").

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove another insistence on Tcl 8.0

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- fix dependencies

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- build on ia64

* Fri Jun  9 2000 Jakub Jelinek <jakub@redhat.com>
- Remove patch for gcc 2.96 breakages, there were none
- Add patch to make et2c work with recent Tcl/Tk headers

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the ExclusiveArch: line; it compiles on sparc and it might
  even work there...
- Exclude ia64 for now; cdrecord isn't available there.

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild for main distribution
- fix build with TCL/Tk 8.3
- remove cdrecord and mkisofs from the package, add
  dependencies on the cdrecord and mkisofs packages instead
- fix up the code to find cdrecord where it belongs.
- put man pages in FHS locations
- fix build with kernel 2.4 headers
- work around gcc 2.96 breakages

* Sun May 28 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man page in correct place
- fix xcdroast to build with tcltk8.2
- add cdrecord-1.8 in xcdroast

* Tue Apr 04 2000 Ngo Than <than@redhat.de>
- include needed devices in the package (Bug #9997)

* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- fix Bug 8564 and 8563

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- rushed by wanger.. not updated

* Wed May 20 1998 Michael Maher <mike@redhat.com>
- built and updated package
- added changelog
- edited paths  
